﻿*************************************************************************************
***Proxyversion für KINDL Asthma-Modul
***Asthma_KINDL_Modul_Eltern_Deutsch.

***Anmerkung:
*Höhere Werte spiegeln eine bessere gesundheitsbezogene Lebensqualität wieder.
*Item 1-12 werden zusammengefasst zu einer Skala
(siehe Bullinger et al. (2006) Quality of life—evaluation criteria for children with chronic conditions in medical care).
*Item 13-15 werden als Zusatzinformationen gehandhabt, aber nicht in einer Skala erfasst.

*********Umpolung der Rohwerte.
*Negative gepolte Items.
RECODE p_ast_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_01. 
RECODE p_ast_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_02. 
RECODE p_ast_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_03. 
RECODE p_ast_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_04. 
RECODE p_ast_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_05. 
RECODE p_ast_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_06. 
RECODE p_ast_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_07. 
RECODE p_ast_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_08. 
RECODE p_ast_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_09. 
RECODE p_ast_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_10. 
RECODE p_ast_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_11. 
RECODE p_ast_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_13. 
RECODE p_ast_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_14. 
RECODE p_ast_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_15. 

*Positive gepolte Items.
RECODE p_ast_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO p_xst_12. 

VARIABLE LABELS
p_xst_01 'ist mein Kind nachts wegen des Asthmas aufgewacht'
p_xst_02 'hat mein Kind beim Atmen ein Brummen oder Pfeifen gespürt'
p_xst_03 'hatte mein Kind Angst vor einem Anfall'
p_xst_04 'hat mein Kind das Inhalieren und die Medikamente genervt'
p_xst_05 'hat mein Kind sich wegen des Asthmas geschämt'
p_xst_06 'war mein Kind wegen des Asthmas mit sich selbst unzufrieden'
p_xst_07 'gab es wegen des Asthmas Ärger zu Hause'
p_xst_08 'habe ich meinem Kind wegen des Asthmas Dinge verboten'
p_xst_09 'wurde mein Kind wegen des Asthmas von anderen geärgert'
p_xst_10 'wurde mein Kind wegen des Asthmas ausgeschlossen, wenn andere etwas zusammen machten'
p_xst_11 'konnte mein Kind sich wegen des Asthmas schlecht konzentrieren'
p_xst_12 'war mein Kind beim Sport genauso gut wie Klassenkameraden oder Freunde'
p_xst_13 'Wie häufig hat Ihr Kind in der letzten Woche Atembeschwerden (Asthma) gehabt?'
p_xst_14 'Wie stark waren seine Atembeschwerden in der letzten Woche?'
p_xst_15 'Wie sehr haben Ihr Kind seine Atembeschwerden in der letzten Woche gestört?'.
EXECUTE.

VALUE LABELS
p_xst_01 p_xst_02 p_xst_03 p_xst_04 p_xst_05 p_xst_06 p_xst_07 p_xst_08 p_xst_09 p_xst_10 p_xst_11 p_xst_13
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
p_xst_14
1 'sehr stark'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
p_xst_15
1 'sehr'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
p_xst_12
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.

****Gesamtskala.
*Berechnung Summenscore.
COMPUTE ast_mean = mean.8(p_xst_01, p_xst_02, p_xst_03, p_xst_04, p_xst_05, p_xst_06, p_xst_07, p_xst_08, p_xst_09, p_xst_10, p_xst_11, p_xst_12).
EXECUTE.

COMPUTE ast_sum = ast_mean*12.
EXECUTE.

*Berechnung auf 100 trandsformierte Skala.
COMPUTE ast_100 = ((ast_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
ast_mean 'KINDL - Asthma-Modul Mittelwert'
ast_sum 'KINDL - Asthma-Modul Summe'
ast_100 'KINDL - Asthma-Modul 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

